Error when replace new twitter widget with the old one

Topics: ASP.NET 2.0
Aug 20, 2009 at 5:27 PM

Hello,

I run Blogengine 1.5.1.17, and i downloaded 28444 source code which has the fix for twitter widget (since the 28411 source code),  just copied "twitter" folder and paste it over the old one . it shows error :

Widget Twitter not found.

c:\BlogEngine.web\widgets\Twitter\widget.ascx.cs(167): error CS0104: 'Timer' is an ambiguous reference between 'System.Web.UI.Timer' and 'System.Threading.Timer

any one faces same problem ?!

Coordinator
Aug 21, 2009 at 10:30 AM

Someone recently reported this on the Patches page.

We should fix this.  The word "Timer" is in widget.ascx.cs file twice.  It needs to be fully qualified.  Replace "Timer" with "System.Threading.Timer".

Coordinator
Aug 21, 2009 at 11:46 AM

I actually just checked in a new version of BE, 1.5.1.18, that doesn't even use the Timer anymore.

If you're on 1.5.1.17, you can still do the search and replace mentioned above.

Aug 21, 2009 at 4:05 PM

Thanks Ben, it's perfect now. ( yep i run the new widget on BE 1.5.1.17 ).